100 REMark convert screen to PIC
110 CLS : CLS #0
120 REPeat loop
130   INPUT 'Filename of input screen    > ';ip$
140   IF ip$ = '' THEN EXIT loop
150   IF FTEST(ip$) <> -7 THEN
160     fl = FLEN(\ip$) : EXIT loop
170   END IF
180   BEEP 5000,50 : REMark oops, not found
190 END REPeat loop
200 IF ip$ = '' THEN STOP
210 INPUT 'Filename of output PIC file > ';op$
220 INPUT 'Screen width (pixels) > ';pixw%
230 INPUT 'Screen height (pixels) > ';pixh%
240 INPUT 'Bytes per line in image [';fl/pixh%;'] > ';bpl
250 INPUT 'Screen mode number > ';sm%
260 :
270 REMark allocate space in memory for screen
280 base = ALCHP(fl+10)
290 IF base < 0 THEN REPORT #0,base : STOP
300 :
310 REMark load into memory to convert
320 LBYTES ip$,base+10 : REMark allow room to add PIC header
330 :
340 REMark add PIC file header
350 POKE_W base,HEX('4AFC') : REMark identifier
360 POKE_W base+2,pixw% : REMark width
370 POKE_W base+4,pixh% : REMark height
380 POKE_W base+6,bpl : REMark bytes per line
390 POKE base+8,sm% : REMark screen mode
400 POKE base+9,0 : REMark spare unused byte
410 :
420 REMark save image as PIC file
430 PRINT\'Saving'!op$!'...'
440 SBYTES op$,base,fl+10
450 :
460 RECHP base : REMark free up heap memory used
470 PRINT #0,'Program Finished.'
